#pragma once
#include "Entity.h"
#define CS_AMPAWCORE_CREATENAME L"cs_am_pawcore"
//monsterX的高第黏浆发射器
class CS_AmPawcore :
    public ActionEntity
{
public:
    CS_AmPawcore();
    void Step() override;
    void SetState(std::wstring stateName, int lr) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
};

std::shared_ptr<Entity> CreateCS_AmPawcore();